complexType "CreditCurveValuation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 attributes, 11 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, baseDate?, spotDate?, inputDataDate?, endDate?, buildDateTime?, inputs?, defaultProbabilityCurve?, (recoveryRate? | recoveryRateCurve?)?
</...>

Content Model Elements (11):

  baseDate,
  buildDateTime,
  defaultProbabilityCurve,
  endDate (defined in PricingInputDates.model group),
  inputDataDate,
  inputs (in creditCurveValuation),
  objectReference,
  recoveryRate,
  recoveryRateCurve,
  spotDate,
  valuationScenarioReference (defined in Valuation complexType)

All Direct / Indirect Based Elements (1):

  creditCurveValuation

Known Usage Locations

- As direct type of elements (1):
  creditCurveValuation

Annotation
A set of credit curve values, which can include pricing inputs (which are typically credit spreads), default probabilities, and recovery rates.
Type Definition Detail

Type Derivation Tree Valuation (extension) PricingStructureValuation (extension) CreditCurveValuation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CreditCurveValuation"> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/> <xsd:element minOccurs="0" name="defaultProbabilityCurve" type="DefaultProbabilityCurve"/> <xsd:group minOccurs="0" ref="RecoveryRate.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/11)
defaultProbabilityCurve

  Type: | DefaultProbabilityCurve, complex content

  A curve of default probabilities.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="defaultProbabilityCurve" type="DefaultProbabilityCurve"/>

inputs

  Type: | QuotedAssetSet, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.